<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8" />
<title>Formulari Mobile</title>
<link rel="stylesheet" href="http://code.jquery.com/mobile/1.0a4/jquery.mobile-1.0a4.min.css" />
<script src="http://code.jquery.com/jquery-1.5.2.min.js"></script>
<script src="http://code.jquery.com/mobile/1.0a4/jquery.mobile-1.0a4.min.js"></script>




</head>

<body>
<div data-role="page" data-theme="b">
<div data-role="header" data-theme="e">
<h1> Lliga ACB </h1>
</div>
<div data-role="content">
    <div = "formulari">
<form action="formdata" method="post" id="formdata">
 
<select id="llista" name="equips" onchange="carrega1(this.value)" >
<option value="0"> Equips ACB</option>
</select>

<select id="llista2" name="jugadors" onchange="carrega2(this.value)" >
<option value="0"> Jugadors</option>
</select>

</div>

<div id="fitxa" style="width:700px; align: left;">
<center><h3 id="titol">Fitxa del Jugador </h3></center>
<div style="float:left; width:  400px;  "><img src="" id="imatge"   /></div>
<div id ="dades" style= "float: right ;   text-align: left; width: 300px; height: 200px; " ></div>

</div>  

</div>
</div>
</body>
<script type="text/javascript" >
$.ajax({
type: "GET",
url: "https://script.google.com/macros/s/AKfycbxiANCFBAbcidvCdmV4zdKQMyKEZxDcLBBjWgPnAmzgE8Wk2lo/exec?format=XML&accio=equips",
dataType: "xml",
success: function(xml) {
var select = $('#llista');
$(xml).find('equip').each(function(){
var nom = $(this).attr('nom');
select.append("<option>"+nom+"</option>");
});
}
});
</script>
<script type="text/javascript">
function carrega1(nom_equip) 
{
if(nom_equip != 0 ) 
{
   var url = "https://script.google.com/macros/s/AKfycbxiANCFBAbcidvCdmV4zdKQMyKEZxDcLBBjWgPnAmzgE8Wk2lo/exec?format=XML&accio=equip&equip=" + nom_equip; 
      $.ajax({
type: "GET",
url:  url  ,
dataType: "xml",
success: function(xml) {
var select = $('#llista2');
$('#llista2').find('option:not(:first)').remove();
$(xml).find('jugador').each(function(){
var nom = $(this).find('nom').text();
var id = $(this).find('id').text(); 
select.append("<option value='" + id +"'>"+nom+"</option>");
});
}
	}); 
}
}

function carrega2(numero_jugador) 
{
	
   var url = "https://script.google.com/macros/s/AKfycbxiANCFBAbcidvCdmV4zdKQMyKEZxDcLBBjWgPnAmzgE8Wk2lo/exec?format=XML&accio=jugador&id=" + numero_jugador; 
   
      $.ajax({
type: "GET",
url:  url  ,
dataType: "xml",
success: function(xml) {
var pic = $('#imatge');
$(xml).find('jugador').each(function(){
var url_foto = $(this).find('foto').text();
var nom = $(this).find('nom').text();
var edat = $(this).find('edat').text();

pic.attr("src", url_foto); 
$("#titol").text(nom);
var fitxa = "Nom: <b>" + nom + "</b><br />"; 
    fitxa = fitxa + "Edat: <b>" + edat + "</b><br />"; 
$("#dades").html(fitxa); 
});
}
	}); 

 }

</script>


</html>
